---
# update the managed host machines

- name: updates
  hosts: managed
  gather_facts: true

  vars:
    datadog_api_key: ca0faf176c4aedd4f547ed7cf85615eb
    datadog_agent_major_version: 7
    datadog_config:
      apm_config:
        enabled: true
      process_config:
        enabled: "true" # type: string
        scrub_args: true
        custom_sensitive_words: ['consul_token','dd_api_key']
      system_probe_config:
        sysprobe_socket: /opt/datadog-agent/run/sysprobe.sock
      network_config:
        enabled: true

  pre_tasks:

  roles:
    - role: common
      become: true
    - role: rsyslog
      become: true
#    - role: datadog.datadog
#      become: true
#      when: ansible_architecture != 'armv7l'
#      datadog_checks:
#        reboot_required:
#          init_config:
#          instances:
#            -
#        oom_kill:
#          init_config:
#          instances:
#            -
#        systemd:
#          - unit_names:
#              - cron.service
#              - k3s.service
#              - named.service
#              - ssh.servce
#              - apt-daily-upgrade.timer
#
#        bind9:
#          init_config:
#          instances:
#            - url: "http://ns01:8053/"
#            - url: "http://ns02:8053/"
#
#      datadog_integration:
#        datadog-reboot_required:
#          action: install
#          version: 1.0.0
#          third_party: true
#        datadog-bind9:
#          action: install
#          version: 1.0.0
#          third_party: true

#    - role: datadog.datadog
#      become: true
#      datadog_agent_flavor: datadog-iot-agent
#      when: ansible_architecture == 'armv7l'
